% Input:
% L: Matrix
% spvalues: vector (evaluations)
% x_param,y_param : Integer
% color: vector (3x1 ; definiert Farbe)

% Output:
% A: Matrix (1. row , 2nd row Y coordinates of the vertices of the
% overapproximation of the set to plot)

% Beschreibung:
% Plots a convex set using the color "color"

function [A] = plotconvexsetEXT_DEBUG(L,spvalues,color)

% Eckpunkte berechnen
A = calcPolytopeVertices(L,spvalues);

%Figur schließen
A(1,size(A,2)+1) = A(1,1);
A(2,size(A,2)) = A(2,1);

% Zeichnen
line(A(1,:),A(2,:),'Color',color);  % Punkte verbinden

plot(A(1,:),A(2,:),'b.','Color',color); % Punkte zeichnen

%Vektoren l zeichnen (blau)
for i=1:1:size(L,1)
    line([0 L(i,1)],[ 0 L(i,2)],'Color',[0 0 1]);
end;
